---
name: mesh_wait_tasks
emoji: "⏳"
description: Smartly poll or wait for background tasks.
skill_type: remote_grpc
is_enabled: true
features:
- swarm_control
- agent_harness
config:
  parameters:
    type: object
    properties:
      task_map:
        type: object
        additionalProperties:
          type: string
        description: Map of node_id -> task_id for tasks to wait on.
      timeout:
        type: integer
        description: How much longer to wait in seconds. Default 30.
      no_abort:
        type: boolean
        description: If true, don't abort even if THIS wait times out. Default false.
    required:
    - task_map
is_system: true
---

# Documentation

Allows the orchestrator to poll the status of background tasks that were started with `no_abort=True`.

# AI Instructions

Wait for 'TIMEOUT_PENDING' tasks. This uses an AI sub-agent to monitor progress. It will return as soon as the sub-agent detects completion.
